Bug 58532

Summary: Support for 4 part data formats, eg used for #/K/M formats
Product: POI Reporter: Nick Burch <apache>
Component: SS CommonAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P2    
Version: 3.13-dev   
Target Milestone: ---   
Hardware: PC   
OS: Linux   
Attachments: Example spreadsheet showing the formats and their effects

Description Nick Burch 2015-10-24 21:39:25 UTC
Created attachment 33206 [details]
Example spreadsheet showing the formats and their effects

One of our business users has tried using formats such as these in a spreadsheet:

[>999999]#,,"M";[>999]#,"K";#
[>999999]#.000,,"M";[>999]#.000,"K";#.000

The former turns a value like 1021021.02 into 1M, the latter into 1.021M

When using DataFormatter, these patterns aren't recognised, and no formatting is currently done. We should add support for these
Comment 1 Nick Burch 2015-10-25 00:02:01 UTC
As of r1710407 these are now supported by DataFormatter. This is implemented by calling out to CellFormat in these kind of cases, as CellFormat already had most of the support for it

At some point we need to stop having two different sets of format code, but for now, this works, and also lets us enable some more DataFormatter test cases that were commented out
Comment 2 Javen O'Neal 2016-04-26 23:18:44 UTC
DataFormatter was fixed in r1710399.